PipeWire: module-profiler.c File Reference

PipeWire 0.3.37

Data Structures | Macros | Functions
module-profiler.c File Reference
Include dependency graph for module-profiler.c:

## Data Structures
struct | impl
struct | resource_data

## Macros
#define | NAME "profiler"
#define | TMP_BUFFER (16 * 1024)
#define | MAX_BUFFER (8 * 1024 * 1024)
#define | MIN_FLUSH (16 * 1024)
#define | DEFAULT_IDLE 5
#define | DEFAULT_INTERVAL 1
#define | pw_profiler_resource(r, m, v, ...) pw_resource_call(r,struct pw_profiler_events,m,v,__VA_ARGS__)
#define | pw_profiler_resource_profile(r, ...) pw_profiler_resource(r,profile,0,__VA_ARGS__)

## Functions
int | pw_protocol_native_ext_profiler_init (struct pw_context *context)
int | pipewire__module_init (struct pw_impl_module *module, const char *args)

## Macro Definition Documentation

## ◆ DEFAULT_IDLE

#define DEFAULT_IDLE 5

## ◆ DEFAULT_INTERVAL

#define DEFAULT_INTERVAL 1

## ◆ MAX_BUFFER

#define MAX_BUFFER (8 * 1024 * 1024)

## ◆ MIN_FLUSH

#define MIN_FLUSH (16 * 1024)

## ◆ NAME

#define NAME "profiler"

## ◆ pw_profiler_resource

#define pw_profiler_resource | ( |  | r,
|  |  | m,
|  |  | v,
|  |  | ...
| ) |  | pw_resource_call(r,struct pw_profiler_events,m,v,__VA_ARGS__)

## ◆ pw_profiler_resource_profile

#define pw_profiler_resource_profile | ( |  | r,
|  |  | ...
| ) |  | pw_profiler_resource(r,profile,0,__VA_ARGS__)

## ◆ TMP_BUFFER

#define TMP_BUFFER (16 * 1024)

## Function Documentation

## ◆ pipewire__module_init()

int pipewire__module_init | ( | struct pw_impl_module * | module,
|  | const char * | args
| ) |  |

References impl::buffer, impl::context, impl::global, impl::properties, props, pw_context_get_main_loop(), pw_global_new(), pw_impl_module_get_context(), pw_log_debug, pw_properties_copy(), pw_properties_new(), pw_properties_new_string(), pw_protocol_native_ext_profiler_init(), and spa_ringbuffer_init().

## ◆ pw_protocol_native_ext_profiler_init()

int pw_protocol_native_ext_profiler_init | ( | struct pw_context * | context | ) |

Referenced by pipewire__module_init().